#!/bin/bash

last > temp.txt

NUMRIGHE=$(cat temp.txt | wc -l)
NUMACCESSI=$(expr $NUMRIGHE - 2)
echo "Il numero di accessi e' $NUMACCESSI"

cat temp.txt | head -n $NUMACCESSI | tr -s " " > accessi.txt

echo

echo "L'elenco ordinato degli utenti che hanno effettuato un accesso e' il seguente:"
cat accessi.txt | cut -f1 -d " " | sort -u

echo

echo "L'elenco ordinato degli indirizzi IP dai quali e' stato effettuato un accesso e' il seguente:"
cat accessi.txt | cut -f3 -d " " | sort -u

echo
NUMSESSIONI=$(cat accessi.txt | grep "still logged in" | wc -l)
echo "Il numero di sessioni attive e': $NUMSESSIONI"
echo "Gli utenti attualmente connessi sono:"
cat accessi.txt | grep "still logged in" | cut -f1 -d " "

MAX=$(cat accessi.txt | grep "(" | cut -f2 -d "(" | cut -f1 -d")" | sort | tail -n 1)
ORE=$(echo $MAX | cut -f 1 -d ":")
MINUTI=$(echo $MAX | cut -f 2 -d ":")

CHECKZEROINIZIALE=$(echo $ORE | grep ^0)

if [ ! -z "$CHECKZEROINIZIALE" ]
 then
  ORE=$(echo $ORE | cut -f2 -d "0")
fi

echo
echo "La durata massima di una sessione e' stata:"
echo "$ORE ore e $MINUTI minuti"