function cerca {

LINES=$(grep "$1" studenti.txt 2> /dev/null)

if [ -z "$LINES" ]
 then
  echo "La ricerca richiesta non ha dato risultati"
 else
  echo "I risultati della ricerca sono i seguenti"
  echo $LINES | tr " " $'\n' | tr ","  " "
fi
}


if [ $# -ne 2 ]
 then
  echo "Attenzione questo script richiede esattamente due argomenti"
  exit 1
fi

case "$1" in
 "-n" | "--nome")
  cerca "^$2,"
 ;;
 "-c" | "--cognome")
  cerca ",$2,"
 ;;
 "-m" | "--matricola")
  cerca ",$2$"
 ;;
 *)
  echo "Attenzione $1 non e' un opzione valida!"
  exit 1
 ;;
esac